Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361761 - blueman-manager will not set trust
Summary: blueman-manager will not set trust
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-30 06:48 UTC by Jon LaBadie
Modified: 2017-08-08 16:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:02:51 UTC


Attachments (Terms of Use)

Description Jon LaBadie 2016-07-30 06:48:23 UTC
Description of problem:
To have a bluetooth mouse automatically connect the "trusted" property must be set.  Blueman-manager has two way to do this, the device menu and an icon button.
Neither turns the property on.  The CLI program, bluetoothctl will set the trust property and blueman-manager shows it is on.  Blueman-manager then can not turn it off.  No error indications, just no effect.

Version-Release number of selected component (if applicable):
blueman-manager 2.04

How reproducible:
Tries with one system, two different mice

Steps to Reproduce:
1.Start bluetooth-manager, scan for and connect to a new BT mouse
2.Attempt to set device as trusted (4-pointed star icon or device menu).
No messages, no new "trust" icon on lower left of device entry.
3.Logout and reboot, mouse will not automatically reconnect as it is not trusted.

Actual results:


Expected results:
Selecting the connected mouse and clicking the "trust" icon should then show
the trust icon in the lower left corner of the device entry.

Upon reboot, mouse should automatically reconnect.

Additional info:

Comment 1 Jason Ronald Smit 2017-06-06 10:46:59 UTC
I can confirm this bug. Tested on fedora 25 x64 by trying to trust a cellphone.

Comment 2 Fedora End Of Life 2017-07-25 22:08:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 16:02:51 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.